# cc_data Struct Reference
[cc_credentials_t Overview]

## Detailed Description

The CCAPI data structure. This structure is similar to a krb5_data structure. In a v5 credentials structure, cc_data structures are used to store tagged variable-length binary data. Specifically, for cc_credentials_v5.ticket and cc_credentials_v5.second_ticket, the cc_data.type field must be zero. For the cc_credentials_v5.addresses, cc_credentials_v5.authdata, and cc_credentials_v5.keyblock, the cc_data.type field should be the address type, authorization data type, and encryption type, as defined by the Kerberos v5 protocol definition.

## Data Fields

- cc_uint32 type
- cc_uint32 length
- void * data

## Field Documentation

cc_uint32 type

| The type of the data as defined by the krb5_data structure.

cc_uint32 length

| The length of data.

void* data

| The data buffer.